0
votes
0answers
22 views

Can't install ruby gems

For some reasons I can't install ruby gems anymore. I run into SSL problems recently and think that could be the problem. After asking google I've changed the gem sources from https:// to http://, but ...
0
votes
1answer
53 views

Issue installing gem

So I'm trying to install this gem but hitting an error. https://github.com/cgore/ruby-btce The actual README says to do a gem install, so I guess I didn't need to clone the git repo? Anyway, I had to ...
0
votes
0answers
20 views

trying to gem install t, problems with certificate

i'm trying to install this project on OS X 10.6.8. i'm following the installation instructions which say to first add the certificate with the command gem cert --add <(curl -Ls ...
0
votes
0answers
147 views

Redmine installation in cpanel. Error installing a gem named pg

I am trying to install redmine . I am using cpanel. I know cpanel wont support rails 3 which latest cpanel uses. So i downgraded my rails version and also i am trying to install redmine 1.4.3 which is ...
1
vote
1answer
270 views

Can't install gems with Ruby: “invalid byte sequence in UTF-8”

I'm using Mountain Lion. I've installed Ruby first with RVM, then with rbenv. I can assure it's running the latest one with which ruby, it correctly points to the one installed with rbenv. gem won't ...
0
votes
0answers
113 views

Problems installing ruby-gem pg

I'm trying to install pg through gem, but I have problems doing so. Others seem to have similar issues but none of what I found on the internet helps in my case. Here is what's happening. I try to ...
2
votes
0answers
185 views

Can I install some ruby gem on a standard OS X user?

I have a Admin user for serious stuff and a Standard user for daily tasks, including front-end development. On the Admin user, I can install Brew, RVM, Middleman etc. But on the Stardard user, where I ...
2
votes
1answer
946 views

How do I use Sublime Text as the OS editor in Mac OS X?

How do I set Sublime Text as the editor for git commits in Mac OS X? In my .zshrc I have: export EDITOR='subl -w' But, if I do: bundle open devise I get the error: Could not run 'subl -w ...
1
vote
2answers
533 views

when trying to install the watir or watir-webdriver gem on Windows 7 via cygwin, getting long C stack trace with mentions of “W32 socket” issues

When running: $ gem install watir on Windows 7 (cygwin), I get this ERROR: Error installing watir: ERROR: Failed to build gem native extension. /usr/bin/ruby.exe extconf.rb checking for ffi.h... ...
0
votes
0answers
45 views

I can no longer run ruby scripts from textmate

I used to have a setup where I could run ruby scripts directly from textmate, even if I used a set of gems and included them with require 'mygem'. So I have a file ~/.tm_properties which enabled this ...
0
votes
1answer
354 views

gem install won't do anything - Mountain Lion

I just got a recent installation of Mountain Lion. I installed homebrew and the gcc on dupes to compile proper rubies. Now, with new versions of ruby (1.9.2) I can create and install gemsets and gems. ...
0
votes
1answer
416 views

Redmine installation - Ruby MySQL connector issue

I am trying to migrate from TRAC to Redmine, though i encountered a problem with the installation procedure. i follow the install guide at : ...
0
votes
1answer
86 views

Cannot find Ruby on Rails installed

I've managed to install Ruby and the gems install (rvm?) but now I'm stuck actually installing Ruby on Rails. Every time I execute, gem install rails Terminal says that it's fetching each file and ...
1
vote
1answer
1k views

Ruby Gem “mechanize” missing libxml2 on Mac OS X 10.7.2 (Lion)

I'm trying to run a Ruby script, so I installed Ruby together with Ruby gems on my Mac OS X 10.7 system. The script requires the Rubygem "mechanize" so I tried to install it by using: sudo gem ...
0
votes
1answer
247 views

Process monitor service in Windows

I need something that runs in the background as a service (Windows), watches defined process and when it crosses thresholds it restarts/stop/starts the process again? (similar functionality of rubygem ...
0
votes
1answer
643 views

Install ruby-debug-ide on Snow Leopard running Ruby 1.9.2

I am trying to install ruby-debug-ide on Snow Leopard running Ruby 1.9 so that I can debug ruby code in Netbeans. I am using the following command sudo gem install ruby-debug-ide19 However I keep ...
6
votes
2answers
716 views

Install packages through apt-get or gem?

If a package is available both through apt-get and gem, which one should I choose? I'm on Ubuntu and I don't know if I should install rake through apt-get or gem. I use both apt-get and gem packages ...
9
votes
3answers
13k views

How to install the MySQL Ruby Gem on Ubuntu 9.10?

I am having a problem installing the Ruby Gem for MySQL. This is the command that I am running: sudo gem install mysql and this is the output that I'm getting: Building native extensions. This ...